<?php require_once('../../Connections/cn.php'); ?>
<?php 

session_start();
  header("Content-Type:text/html; charset=utf-8");
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO'];

  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $generador=$row['nombres'].', '.$row['apellidos'];
  $generador=mb_convert_case($generador,MB_CASE_TITLE,"UTF-8");

  $sql_rif = "select rif from institucion";
  $rs_rif=mysql_query($sql_rif,$cn);
  $row_rif=mysql_fetch_array($rs_rif);
  $rif=$row_rif['rif'];

  
   
    //DATOS del personal
	$id_carrera=$_GET['id_carrera'];
	//$id_sede=$_GET['id_sede'];
	$cedula=$_GET['id_alumno'];
    // Datos del Periodo donde cursa estudios
    $sql = "SELECT id_alumno,apellidos,nombres FROM alumnos WHERE cedula='$cedula'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_alumno=$row['id_alumno'];
	$completo=trim($row['nombres'])." ".trim($row['apellidos']);
	$tipodoc=$row['tipo_doc'];
	$sexo=$row['genero'];
	
	// Busco al alumno en el Lapso.
	$sql = "SELECT id_periodo FROM periodos WHERE tipo='REGULAR' and status='ABIERTO'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$id_periodo=$row['id_periodo'];
	
	// Busco al alumno en el Lapso.
	$sql = "SELECT id_alumno, semestre,mencion,nivel FROM historial_alumnos WHERE id_alumno='$id_alumno' and id_periodo='$id_periodo'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);

    // $semestre=$row['semestre'];
	$mencion=$row['mencion'];
	$nivel=$row['nivel'];
	
	
	$dias_clase=dias_clase($id_alumno);
	$semestre=semestre($id_alumno);
	
	switch ($semestre) {
	  case "1":
		   $semestre="PRIMERO";
           break;
      case "2":
		   $semestre="SEGUNDO";
           break;
	  case "3":
		   $semestre="TERCERO";
           break;
	  case "4":
		   $semestre="CUARTO";
           break;
	  case "5":
		   $semestre="QUINTO";
           break;	
	  case "6":
		   $semestre="SEXTO";
           break;
      case "7":
		   $semestre="SÉPTIMO";
           break;
	  case "8":
		   $semestre="OCTAVO";
           break;
	  case "9":
		   $semestre="NOVENO";
           break;
	  case "10":
		   $semestre="DÉCIMO";
           break;		      
   }   
   
$nombre_mencion="";   
if($mencion=="COMUN"){
   if($nivel=="CIU"){
      $nombre_mencion="CURSO DE INICIACIÓN UNIVERSITARIA";
   }   
   if($nivel=="CG"){
      $nombre_mencion="COMPONENTE GENERAL";
   }   
}
if($nivel=="CP"){
   $sql1 = "select nombre_mencion from menciones where id_carrera='$id_carrera' and id_mencion='$mencion'";
   $rs1=mysql_query($sql1,$cn);
   $row1=mysql_fetch_array($rs1);
   $nombre_mencion=$row1['nombre_mencion'];
}    

    $sql = "SELECT codigo,mes_inicio,mes_fin,fecha_ini,fecha_fin FROM periodos WHERE id_periodo='$id_periodo'";
	$rs = mysql_query($sql, $cn);
	$row = mysql_fetch_assoc($rs);
	$descripcion_periodo=$row['codigo'].' ('.$row['mes_inicio'].' - '.$row['mes_fin'].')';
	$fecha1 = explode("-",$row['fecha_fin']); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
	$fecha_vencimiento=join("-",(array_reverse(explode("-",$row["fecha_fin"]))));

	$sql0 = "SELECT sede, turno FROM carreras_alumno WHERE id_alumno='$id_alumno' AND id_carrera='$id_carrera'";
	$rs0 = mysql_query($sql0, $cn);
	$row0 = mysql_fetch_assoc($rs0);
	$id_sede=$row0['sede'];
	$turno=$row0['turno'];
	if($turno=="1") $horario="07:00 A.M.-12:00 M.";
	if($turno=="2") $horario="12:15 P.M.-05:00 P.M.";
	if($turno=="4") $horario="05:15 P.M.-10:00 P.M."; 
		
	
	$sql1 = "SELECT * FROM carreras WHERE id_carrera='$id_carrera'";
	$rs1 = mysql_query($sql1, $cn);
	$row1 = mysql_fetch_assoc($rs1);
	$carrera=$row1['nombre_carrera'];
	$prefijo=$row1['prefijo'];
	
	$tipodoc=$row['tipo_doc'];
	$sexo=$row['genero'];
	if ($sexo=='1'){
		$inscrito='cursando';
		$ciudadano='la ciudadana, ';
		}
		else {
		$inscrito='cursando';
		$ciudadano='el ciudadano, ';
		}
		
	if(substr($tipodoc,0,1)=="C") {
	    $documento='titular de la cédula de identidad';
		}
				else {	
		 $documento='titular del Pasaporte';}
		
		

    // Busca el nombre de la sede.
	$sql_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$id_sede'";
	$rs_sede = mysql_query($sql_sede, $cn);
	$row_sede = mysql_fetch_assoc($rs_sede);
	$nombre_sede='Caracas';
	$ciudad_sede='Caracas';
	//$row_sede['ciudad_sede'];
	
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha = cambioFecha($fecha2); 
	$fecha_expedicion=$fecha1[2].'-'.$fecha1[1].'-'.$fecha1[0]; 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf_v2_2016.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);

$imagen1=ImageCreatefromjpeg('../../imagenes/patriotas.jpg');
$pdf->addImage($imagen1,70,$pdf->y-660,65,0);	
$imagen2=ImageCreatefromjpeg('../../imagenes/Pueblo_Victorioso.jpg');
$pdf->addImage($imagen2,470,$pdf->y-660,45,0);	


$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde'); 

$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff)); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
$pdf->ezSetCmMargins(1,1,3,3);
// Inicio del Encabezado.
//$imagen=ImageCreatefromjpeg('../../imagenes/enahp.jpg');
//$pdf->addImage($imagen,35,$pdf->y-55,100,0);
$pdf->ezsetdy(-30);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),8.5,array('justification'=>'center'));
$pdf->addText(478,730,9,'<b>'."RIF. ".'</b>'.'G-20010531-3');

$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."CONSTANCIA DE ESTUDIOS".'</b>',16,array('justification'=>'center'));
$pdf->ezsetdy(-20);
//$pdf->selectFont('fonts/Times-Roman.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
//$diff=array(225=>'&aacute;',233=>'&eacute',237=>'&iacute',243=>'&oacute',250=>'&uacute',241=>'&ntilde',209=>'&Ntilde');
//$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));


   $texto=utf8_decode("El suscrito, Director de Secretaria General de la Escuela Nacional de Administración y Hacienda Pública-Instituto Universitario de Tecnología (ENAHP-IUT), autorizado para expedir la presente Constancia, según Resolución conjunta de los Ministerios de Hacienda y Educación números 2.109 y 84 respectivamente, de fecha 19 de enero de 1989, publicada en Gaceta Oficial número 34.145 de fecha 26 de enero de 1989, hace constar por medio de la presente, que en los archivos de la Unidad de Control de Estudios de Pregrado reposan y corren insertos los siguientes datos:");

$emitido=utf8_decode("Constancia que se expide a solicitud de la parte interesada en $nombre_sede, ".$fecha.".");
$pdf->ezText($texto,10,array('justification'=>'full','spacing'=>'1.2'));
$pdf->ezsetdy(-10);
$pdf->ezText('<b>'."NOMBRE DEL ESTUDIANTE: ".'</b>'.utf8_decode($completo),10,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezText(utf8_decode('<b>'."CÉDULA DE IDENTIDAD: ".'</b>').number_format($cedula,0,'','.'),10,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezText('<b>'."CARRERA: ".'</b>'.utf8_decode($carrera),10,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezText('<b>'.utf8_decode("MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion),10,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezText('<b>'."SEMESTRE: ".'</b>'.utf8_decode($semestre),10,array('justification'=>'full','spacing'=>'1.5'));

$pdf->ezText(utf8_decode('<b>'."LAPSO ACADÉMICO: ".'</b>').$descripcion_periodo,10,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezText('<b>'."DIAS DE CLASE: ".'</b>'.utf8_decode(strtoupper($dias_clase)),10,array('justification'=>'full','spacing'=>'1.5')); 


if(strpos($dias_clase,'Sabado')){ 
$pdf->ezText('<b>'."HORARIO DE CLASES: ".'</b>'.$horario.utf8_decode(" (SÁBADO: 7:00 A.M.-12:00 M.) "),10,array('justification'=>'full','spacing'=>'1.5'));

}
else{
$pdf->ezText('<b>'."HORARIO DE CLASES: ".'</b>'.$horario,10,array('justification'=>'full','spacing'=>'1.5'));
}
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'.utf8_decode("FECHA DE EXPEDICIÓN   : ").'</b>'.$fecha_expedicion,10,array('justification'=>'full','spacing'=>'1.5'));
$pdf->ezText('<b>'.utf8_decode("FECHA DE CULMINACIÓN DEL LAPSO ACADÉMICO: ").'</b>'.$fecha_vencimiento,10,array('justification'=>'full','spacing'=>'1.5'));


// $pdf->ezsetdy(-15);
//$pdf->ezText("Atentamente,",11,array('justification'=>'center'));
$pdf->ezsetdy(-90);
$pdf->ezText('<b>'.utf8_decode("Dr. Arturo Montes R.").'</b>',11,array('justification'=>'center'));
$pdf->ezsetdy(-1);
$pdf->ezText(utf8_decode("Director de Secretaria General de la Escuela Nacional de Administración y"),9,array('justification'=>'center'));
$pdf->ezsetdy(-1);
$pdf->ezText(utf8_decode("Hacienda Pública-IUT."),9,array('justification'=>'center'));
$pdf->ezsetdy(-1);
//$pdf->ezText(utf8_decode("Punto de Cuenta No 233 de Fecha 17/07/2014"),9,array('justification'=>'center'));
//$pdf->ezsetdy(-1);
//$pdf->ezText(utf8_decode("Gaceta Oficial de la República Bolivariana de Venezuela"),9,array('justification'=>'center'));
//$pdf->ezsetdy(-1);
//$pdf->ezText(utf8_decode("N° 40.349 de fecha 05/02/2014"),9,array('justification'=>'center'));
//$pdf->ezsetdy(-20);
//$texto=utf8_decode("La Escuela Nacional de Administración y Hacienda Pública es un Instituto Universitario de Tecnología adscrito al Ministerio del Poder Popular de Planificación y Finanzas que se rige por su Reglamento General dictado por Resolución conjunta del Ministerio de Hacienda y del Ministerio de Educación (Artículo 10, Parágrafo Único de la Ley de Universidades) (Gaceta Oficial Nro. 34.145 de fecha 26/01/1989)");
//$pdf->ezText($texto,7,array('justification'=>'full','spacing'=>'1.2'));


 $pdf->ezText(utf8_decode("Elaborada por: ".$generador),6,array('justification'=>'left'));
 $pdf->ezText(utf8_decode("Revisada por: Prof. José N. Lugo García"),6,array('justification'=>'left'));
$pdf->ezsetdy(-30);
$pdf->setColor(1, 0 ,0);
 
 $pdf->ezText(utf8_decode('<b>'."Comprometida con la formación".'</b>'),8,array('justification'=>'center'));
  $pdf->ezText(utf8_decode('<b>'."humanista del nuevo servidor público".'</b>'),8,array('justification'=>'center'));
   // $pdf->ezText(utf8_decode('<b>'."Impulsando la Refundación del Estado".'</b>'),8,array('justification'=>'center'));
   $pdf->ezsetdy(-107);
 
 $pdf->line(58,75,550,75);
 $pdf->setColor(0, 0 ,0); 
  $pdf->ezText(utf8_decode("Av. Francisco de Miranda, entre Av. Diego Cisneros y Calle Los Laboratorios, Edif. ENAHP-IUT, Los Cortijos de Lourdes."),8,array('justification'=>'center'));
	 $pdf->ezText(utf8_decode("Caracas - Venezuela. Teléfonos: (0212) 232.32.31 - Extensión 476"),8,array('justification'=>'center'));
// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.

$pdf->addObject($all,'all'); 
 
$pdf->ezStream(); 


function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->ezText(utf8_decode("Av. Francisco de Miranda, entre Av. Diego Cisneros y Calle Los Laboratorios, Los Cortijos de Lourdes"),8,array('justification'=>'center'));
	 $pdf->ezText(utf8_decode("Teléfonos: (0212) 232-32-31/232-64-60/232-44-88/232-13-66"),9,array('justification'=>'center'));
}



function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	$Mes = str_replace("01","Enero",$Mes); 
	$Mes = str_replace("02","Febrero",$Mes); 
	$Mes = str_replace("03","Marzo",$Mes); 
	$Mes = str_replace("04","Abril",$Mes); 
	$Mes = str_replace("05","Mayo",$Mes); 
	$Mes = str_replace("06","Junio",$Mes); 
	$Mes = str_replace("07","Julio",$Mes); 
	$Mes = str_replace("08","Agosto",$Mes); 
	$Mes = str_replace("09","Septiembre",$Mes); 
	$Mes = str_replace("10","Octubre",$Mes); 
	$Mes = str_replace("11","Noviembre",$Mes); 
	$Mes = str_replace("12","Diciembre",$Mes); 
	
	$Anio = substr($fecha,0,4); 
	if ($diaMes=='1') {
	    return "al ".$diaMes." día del mes de ".$Mes." de ".$Anio."";
	}
	else {
	    return "a los ".$diaMes." días del mes de ".$Mes." de ".$Anio."";
	}
	 
	}
	
	function decode($cadena)
	{
	return html_entity_decode($cadena,$this->estilocomillas,$this->juegocaracterdecode);
	}  
	
function semestre($id_alumno)
{
  global $cn;
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='1' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre1= current($row);
  
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='2' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre2= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='3' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre3= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='4' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre4= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='5' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre5= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='6' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre6= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='7' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre7= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='8' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre8= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='9' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre9= current($row);
   
   $sql = "SELECT COUNT(*) FROM `inscripciones` where semestre='10' and id_alumno='$id_alumno'";
   $res = mysql_query($sql, $cn) or die(mysql_error());
   $row = mysql_fetch_assoc($res);
   reset($row);
   $semestre10= current($row);
  
   $matriz = array(0,$semestre1,$semestre2,$semestre3,$semestre4,$semestre5,$semestre6,$semestre7,$semestre8,$semestre9,$semestre10); 
   
   $max=0;
   
   for ($i=1; $i<count($matriz); $i++){
        if($matriz[$i]>=$max){
		   $max=$matriz[$i];
		   $sem=$i;
		}
	}
	return $sem;   
}




function dias_clase($id_alumno)
{
  global $cn;
   
 $query_dias="Select distinct
dias.desc_dia
From
inscripciones
Inner Join horarios ON (inscripciones.id_materia = horarios.id_materia and inscripciones.id_periodo = horarios.id_periodo)
Inner Join dias ON horarios.codigo_dia = dias.codigo_dia
Inner Join secciones ON secciones.codigo_seccion = horarios.seccion AND inscripciones.id_seccion = secciones.seccion AND inscripciones.semestre = secciones.semestre
Where
inscripciones.id_alumno='$id_alumno' 
order by horarios.codigo_dia
		";
	$rst_dias = mysql_query($query_dias, $cn) or die(mysql_error());
	$row_dias = mysql_fetch_row($rst_dias);
	$dias_de_clase=$row_dias[0];
	
	while ($row_dias = mysql_fetch_row($rst_dias)) { 
	      $dias_de_clase=$dias_de_clase.'-'.$row_dias[0];
		  }
	return $dias_de_clase;   
}

?> 
